Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ascape.util.vis
Class DrawFeatureSelection

    java.lang.Object
      java.util.Observable
          org.ascape.util.VectorSelection
              org.ascape.util.vis.PlatformDrawFeatureSelection
                  org.ascape.util.vis.DrawFeatureSelection

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Observer

    public class DrawFeatureSelection

extends PlatformDrawFeatureSelection

A (probably temporary) class for handling DrawFeature Observation.

Since:
  1.2.6
Version:
  1.2.6 10/26/99
Author:
  Miles Parker
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.ascape.util.VectorSelection
`vector`

Constructor Summary
`DrawFeatureSelection(Scape scape)` Construct a new DrawFeatureSelection.

Method Summary

Methods inherited from class org.ascape.util.vis.PlatformDrawFeatureSelection
`findByName, moveDown, moveToBottom, moveToTop, moveUp`

Methods inherited from class org.ascape.util.VectorSelection
`addElement, addElement, clear, clearSelection, clone, getIndexInVector, getSelectedElement, getSelectedIndex, getSelection, getSelectionSize, getVector, isSelected, isSelected, moveToBack, moveToFront, removeElement, select, selectAll, setSelected, setSelected, setSelected, setVector, toString, unselect, update, update`

Methods inherited from class java.util.Observable
`addObserver, clearChanged, countObservers, deleteObserver, deleteObservers, hasChanged, notifyObservers, notifyObservers, setChanged`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DrawFeatureSelection

    public DrawFeatureSelection(Scape scape)

  Construct a new DrawFeatureSelection.

  Parameters:
    `scape` - the scape holding the draw feature inforamtion

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD